import request from '../utils/request'

//商品列表
export function getList(data) {
  return request({
    url: `/lease/product/getList`,
    method: 'get',
    data
  })
}

//创建商品 新增商品
export function createProduct(data) {
  return request({
    url: `/lease/product/add`,
    method: 'post',
    data
  })
}

//获取商品列表
export function getProductList(data) {
  return request({
    url: `/lease/product/getList`,
    method: 'post',
    data
  })
}

// 更新商品
export function updateProduct(data) {
  return request({
    url: `/lease/product/update`,
    method: 'post',
    data
  })
}

// 删除商品
export function deleteProduct(id) {
  return request({
    url: `/lease/product/delete`,
    method: 'post',
    data: { id }
  })
}



// 查询单个商品详情
export function getMachineInfo(data) {
  return request({
    url: `/lease/product/getMachineInfo`,
    method: 'post', 
    data
  })
}


// 已购商品
export function getOwnedList(data) {
  return request({
    url: `/lease/product/getOwnedList`,
    method: 'post', 
    data
  })
}



// 已购商品详情
export function getOwnedById(data) {
  return request({
    url: `/lease/product/getOwnedById`,
    method: 'post', 
    data
  })
}

// 查商品详情里面的商品信息
export function getMachineInfoById(data) {
  return request({
    url: `/lease/product/getMachineInfoById`,
    method: 'post', 
    data
  })
}


// 查获取商城商品支持的支付方式
export function getPayTypes(data) {
  return request({
    url: `/lease/product/getPayTypes`,
    method: 'post', 
    data
  })
}


// 卖家页面---矿机列表
export function getShopMachineListForSeller(data) {
  return request({
    url: `/lease/v2/product/machine/getShopMachineListForSeller`,
    method: 'post', 
    data
  })
}


// 更新设置GPU商品列表的信息
export function updateGpuMachine(data) {
  return request({
    url: `/lease/v2/product/machine/updateGpuMachine`,
    method: 'post', 
    data
  })
}


// 修改商品列表ASIC商品信息
export function updateAsicMachine(data) {
  return request({
    url: `/lease/v2/product/machine/updateAsicMachine`,
    method: 'post', 
    data
  })
}



// 删除ASIC 或者GPU
export function deleteMachine(data) {
  return request({
    url: `/lease/v2/product/machine/deleteMachine`,
    method: 'post', 
    data
  })
}



// 获取商场页面的店铺列表
export function getShopList(data) {
  return request({
    url: `/lease/v2/product/machine/getShopList`,
    method: 'post', 
    data
  })
}


// 获取店铺详情
export function getShopMachineList(data) {
  return request({
    url: `/lease/v2/product/machine/getShopMachineList`,
    method: 'post', 
    data
  })
}



// 获取店铺详情
export function addGoodsV2(data) {
  return request({
    url: `/lease/v2/shopping/cart/addGoodsV2`,
    method: 'post', 
    data
  })
}









